LINUX.ORG.RU

помогите разобраться!

 , , ,


1

1

здрасьте!!! система openSUSE 12.3 KDE на днях пытался исправить назойливый баг с перевернутой камерой в skype. как водится перелопатил кучу форумов, честно пытался внемлить советам гиков по фиксу того самого бага. нашел огромную кучу вариантов исправлений, и конечно же перепробовал все подряд. потратил кучу времени и сил. короче баг можно сказать исправлен) ...если кому интересно расскажу подробней. а вот теперь к сути: первое что я попробовал сделать это запускать скайп с библиотекой v4l1compat.so, которая якобы переворачивает камеру. отредактировал ярлык скайпа /usr/share/applications/skype.desktop в 4 строке вместо Exec=skype вписал Exec=bash -c 'LD_PRELOAD=/usr/lib/i386-linux-gnu/libv4l/v4l1compat.so skype' казалось бы...за окном должен был пронестись пони и появится радуга...нооо...я снова любовался собой в перевернутом виде. за ненадобностью отредактировал ярлык скайпа обратно в исходную, но библиотека v4l1compat.so уже попала в автозагрузку. и каждый раз при включении машины пробует запуститься. вот лог с терминала: ERROR: ld.so: object '/usr/lib/libv4l/v4l1compat.so' from LD_PRELOAD cannot be preloaded: ignored. ERROR: ld.so: object '/usr/lib/libv4l/v4l1compat.so' from LD_PRELOAD cannot be preloaded: ignored. ERROR: ld.so: object '/usr/lib/libv4l/v4l1compat.so' from LD_PRELOAD cannot be preloaded: ignored. в linuxe я человек новый. поэтому ума не приложу как это исправить?как убрать эту библиотеку с автозагрузки?ведь без Exec=bash -c 'LD_PRELOAD=/usr/lib/i386-linux-gnu/libv4l/v4l1compat.so skype' она не имеет смысла?обьясните, покажите, расскажите! спасибо)) P.S. многобукв!!!

Так. Скайп 32-битный, следовательно нам нужна библиотека из каталога /usr/lib, а не /usr/lib64.

Вот как исправляю проблему я:

LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so skype

Это надо скопировать в консоль (эмулятор терминала gnome-terminal или Konsole). Также попробуй:

LD_PRELOAD=/usr/lib/libv4l/v4l2convert.so skype

В пакетном менеджере найди «v4l» и открой вкладку «файлы». Посмотри, правильно ли указан путь к файлу. Действительно ли у тебя установлена 32-битная версия этой библиотеки. Должен быть отдельный 32-битный пакет. Если его нет, то можно заменить системный 64-битный libv4l на 32-битный во вкладке «Версии». Надеюсь что это не понадобится.

ZenitharChampion ★★★★★ ()
Последнее исправление: ZenitharChampion (всего исправлений: 1)
Ответ на: комментарий от ZenitharChampion

ок

я наверно немного не так написал)) мне нужно решить проблему не с перевернутой камерой(хотя за пруфы отдельное спасибо, на досуге изучу), а с автозагрузкой библиотеки v4l1compat.so которая дает сбой. ее надо убрать с автозапуска.как?

MyDuck ()
Ответ на: ок от MyDuck

Попробуй отредактировать меню программ. В KDE - правой кнопок по значку главного меню. В GNOME не помню.

ZenitharChampion ★★★★★ ()
Последнее исправление: ZenitharChampion (всего исправлений: 1)
Ответ на: тут все нормально от MyDuck

хм...может быть не хватает каких то библиотек?

кстати LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so skype LD_PRELOAD=/usr/lib/libv4l/v4l2convert.so skype проблему не решили...это может говорить об отсутствии нужных библиотек или архитектуры. а в v4l у меня вот как:http://hkar.ru/hXND архитектура х86_64 версия последняя только из коробки!

MyDuck ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.